Subject: Re: bug#55653: [PATCH] guix: Add syntactic sugar for profile generation.

From: Maxime Devos <[email-masked]>
Date: Thu, 02 Jun 2022 17:07:46 +0200

Ludovic Courtès schreef op do 02-06-2022 om 15:32 [+0200]:
> Still I’m not a fan of having syntax that looks like a field but is not
> an actual field, if we can avoid it.  I prefer to expose the data
> structure as it exists and, if needed, to build abstractions on top of
> it.  (The ABI issue that Maxime mention is real but I don’t think it’s a
> big problem in practice.)

FWIW I've some ideas for stable ABIs for record constructors even when
fields are added/removed or change from direct/thunked/delayed, a
stable ABI can be defined later.

Greetings,
Maxime.